package com.jiuqi.mde;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jiuqi.mde.MDETable;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

public final class MDETableSet {
  private Map tables = new HashMap<Object, Object>(83);
  
  public int size() {
    return this.tables.size();
  }
  
  public void clear() {
    this.tables.clear();
  }
  
  public MDETable get(String name) {
    return (MDETable)this.tables.get(name);
  }
  
  public void put(MDETable table) {
    Map<Object, Object> newMap = new HashMap<Object, Object>(this.tables);
    newMap.put(table.getName(), table);
    this.tables = newMap;
  }
  
  public void putAll(com.jiuqi.mde.MDETableSet tables) {
    Map<Object, Object> newMap = new HashMap<Object, Object>(this.tables);
    for (Iterator<MDETable> i = tables.iterator(); i.hasNext(); ) {
      MDETable table = i.next();
      newMap.put(table.getName(), table);
    } 
    this.tables = newMap;
  }
  
  public void remove(MDETable table) {
    Map<Object, Object> newMap = new HashMap<Object, Object>(this.tables);
    newMap.remove(table);
    this.tables = newMap;
  }
  
  public Iterator iterator() {
    return this.tables.values().iterator();
  }
  
  public Object clone() {
    com.jiuqi.mde.MDETableSet result = new com.jiuqi.mde.MDETableSet();
    result.putAll(this);
    return result;
  }
}
